#ifndef _HARK__BEAMFORMING__MVDR_H__INCLUDED_
#define _HARK__BEAMFORMING__MVDR_H__INCLUDED_ 1

#include "BF.h"

namespace BF
{
    class CMVDR : public BF
    {
		public:
		CMVDR(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, double regFactor);
		virtual ~CMVDR();

		public:
		virtual BfType getBfAlgorithmType() const { return BfMVDR; }

		virtual void updateSources(const std::vector<SourceLocation> &sourcePositions);
		virtual void adaptSeparationMatrices();

		private:
		double regFactor;
    };
}

#endif
